Skip to:
Content
Pages
Categories
Search
Top
Bottom

bbPress 2.1 – Theme Compatibility


  • John James Jacoby
    Keymaster

    @johnjamesjacoby

    You posted, I listened.

    Version 2 of bbPress’s theme compatibility is now in the 2.1 plugin branch of code for your perusal. This second iteration removes the need to add current_theme_support() to your theme, and totally automates the process.

    If your child or parent theme contains the template files that bbPress looks for, bbPress will use them. If not, bbPress will fall back on it’s default templates and styling. No more logic necessary.

    Please test it. It’s new code with a new approach, so I’d like to get some fresh eyes on things right away to avoid a long beta period like 2.0 had.

    Cheers!

Viewing 25 replies - 1 through 25 (of 64 total)

  • c0cc0bill
    Participant

    @c0cc0bill

    I have a different theme and i had to change loop-forums, loop-replies, loops topics and bbpress-css.

    After each upgrade rewrite these files. All right.

    Now i put the 3 files and css in the root of my theme but no good.

    I put the 3 files and css in the root of my theme and deleted ones from plugin, but no good.

    I copied BBP-themes in the root of my theme and deleted from plugin and not good.

    How do? Tx


    gcoronel
    Participant

    @gcoronel

    aun no esta la traducción al español de bbpress 2.1?


    jumpmuz
    Participant

    @jumpmuz

    How do we download 2.1 it’s a bit confusing..

    Hi,

    did a checkout and dropped it in my plugin directory and when I activate it.. I get: Fatal error: Call to undefined method WP_Query::is_main_query() in C:inetpubwwwrootwpwp-contentpluginsbbpressbbp-includesbbp-core-compatibility.php on line 1605

    regards,

    Peter

    Just about to start a forum, where I can download bbpress 2.1? Since what I have download is version 2.0.2.

    Thanks.


    Andre
    Participant

    @andrejcarter

    There’s a “Zip Archive” link on the bottom of http://bbpress.trac.wordpress.org/browser/branches/plugin that will download the latest version. I hope you are aware 2.1 is a development version, not a released version of bbPress.

    thank you


    aravoth2011
    Participant

    @aravoth2011

    Testing this now, not having any weird compatability issues. I use a child theme of twentyeleven I made. I did notice however that I lost alot of css customizations on the forum. Did you go go with a tableless layout or something?

    I only mention it because I was using forum Icons on the main forum page, and it’s kinda hard to position them now. Not a big deal or anything.

    No issues with 2.1 on my site – and the approach is much better :) Just saved me weeks of work – and i’m using it on a live site against recommendations (watch out, we have a bad ass over here) :-P


    aravoth2011
    Participant

    @aravoth2011

    not really a theme compatibility issue, but bbpress post toolbar plugin does not function with bbpress 2.1, nor does bbpress qoutes, just something for the plugin authors to think about.


    Jermaine Maree
    Participant

    @jermainemaree

    No issues so far. Love that the templates are no longer using tables. Being able to override templates without copying the entire folder is working out great as well!

    How far have you guys got with the beta and any idea of an official release time?

    Not wishing to hurry you, just curious!


    patking76
    Member

    @patking76

    I have integrated bbpress in to my current theme. Everything is working great. I have only one issue.

    The reply comment box is all white and the writing shows up white as well. Meaning that you can’t read the reply comments. This is site wide on forums and bb posts.

    Any idea how to change this?


    LabSecrets
    Participant

    @labsecrets

    @ patking, can you give us a url to see it? I can probably give you a css fix…


    movingrates12
    Member

    @movingrates12

    @OAEErra yeah…me too.. Im waiting on the release of the beta


    John James Jacoby
    Keymaster

    @johnjamesjacoby

    @patking76 – is this with the 2.1 re-release?


    soumailaadamou
    Member

    @soumailaadamou

    @andre thank you for link

    I copied the contents of bbpress/bbp-themes/bbp-twentyten into my theme’s directory, but it isn’t using them. I’m running bbPress 2.1.


    jumpmuz
    Participant

    @jumpmuz

    @Chuckmo I changed my bbp-twentyten css permissions to 644 and it worked

    Figured I’d try 2.1 since 2.0.2 was giving me some issues. I downloaded the zip from Andre’s link above but upon install I get

    Unpacking the package…

    Installing the plugin…

    The package could not be installed. No valid plugins were found.

    Plugin install failed.

    Am I doing this incorrectly?


    Andre
    Participant

    @andrejcarter

    @vvikeb – FTP upload it.

    Search BBpress plugin is not functioning now, I am using the latest version of 2.1, the error message I get is…

    Fatal error: Call to undefined method stdClass::have_posts() in wp-content/plugins/bbpress/bbp-includes/bbp-topic-template.php on line 308

    Line 308 of bbp-topic-template.php looks like..

    function bbp_topics() {
    global $bbp;

    // Put into variable to check against next
    $have_posts = $bbp->topic_query->have_posts();

    // Reset the post data when finished
    if ( empty( $have_posts ) )
    wp_reset_postdata();

    return $have_posts;
    }

    Not sure what the problem is here…


    lewismorgan2020
    Member

    @lewismorgan2020

    How can I get it to work with a WPzoom template?


    brian@foxxr.com
    Member

    @brianfoxxrcom

    Is there a search option in bbpress?

    any idea when 2.1 is going to release?

Viewing 25 replies - 1 through 25 (of 64 total)

You must be logged in to reply to this topic.